import os
import random
from time import time

def random_file(folder):
    files = os.listdir(folder)
    return folder + "\\" + random.choice(files)

def files(folder):
    files = os.listdir(folder)
    return [folder + "\\" + file for file in files]



class Timer:
    def __init__(self) -> None:
        self.timings = {}
    
    def start(self, name):
        self.timings[name] = time()

    def has_name(self, name):
        if name not in self.timings:
            raise ValueError(f"Name {name} doesn't exist!")
    
    def stop(self, name):
        self.has_name(name)
        self.timings[name] = time() - self.timings[name]
    
    def get_timing(self, name):
        self.has_name(name)
        return self.timings[name]
    
    def __repr__(self) -> str:
        s = " Timings ".center(100, "#")
        s += "\n"
        for name, dt in self.timings.items():
            s += f"{name}: {dt}s\n"
        return s
